{block name='productdetails-tabs'}
    {$lazyLoadImages=$lazyLoadImages|default:true}
    {et_isShopVersionAtLeast value="5.2.0-beta" assign='shopIsAtLeast52'}
    {* Different Tab Settings *}
    {block name='productdetails-tabs-settings'}
        {$showProductWeight = false}
        {$showShippingWeight = false}
        {$showProductContents = false}
        {$dimension = $Artikel->getDimension()}
        {$funcAttr = $Artikel->FunktionsAttribute[$smarty.const.FKT_ATTRIBUT_ATTRIBUTEANHAENGEN]|default:0}

        {if isset($Artikel->cArtikelgewicht) && $Artikel->fArtikelgewicht > 0
        && $Einstellungen.artikeldetails.artikeldetails_artikelgewicht_anzeigen === 'Y'}
            {$showProductWeight = true}
        {/if}

        {if isset($Artikel->cGewicht) && $Artikel->fGewicht > 0
        && $Einstellungen.artikeldetails.artikeldetails_gewicht_anzeigen === 'Y'}
            {$showShippingWeight = true}
        {/if}

        {if !$shopIsAtLeast52 || (isset($Einstellungen.artikeldetails.artikeldetails_inhalt_anzeigen) && $Einstellungen.artikeldetails.artikeldetails_inhalt_anzeigen === 'Y')}
            {if isset($Artikel->cMasseinheitName) && isset($Artikel->fMassMenge) && $Artikel->fMassMenge > 0 && $Artikel->cTeilbar !== 'Y' && ($Artikel->fAbnahmeintervall == 0 || $Artikel->fAbnahmeintervall == 1) && isset($Artikel->cMassMenge)}
                {$showProductContents = true}
            {/if}
        {/if}


        {$useAttributes = (
                $Einstellungen.artikeldetails.merkmale_anzeigen === 'Y' && !empty($Artikel->oMerkmale_arr)
                || $showProductWeight
                || $showShippingWeight
                || $Einstellungen.artikeldetails.artikeldetails_abmessungen_anzeigen === 'Y' && (!empty($dimension['length']) || !empty($dimension['width']) || !empty($dimension['height']))
                || $showProductContents
                || ($Einstellungen.artikeldetails.artikeldetails_attribute_anhaengen === 'Y' || $funcAttr == 1) && !empty($Artikel->Attribute)
            )
        }

        {$useDescriptionWithMediaGroup = ((($Einstellungen.artikeldetails.mediendatei_anzeigen === 'YA'
            && $Artikel->cMedienDateiAnzeige !== 'tab') || $Artikel->cMedienDateiAnzeige === 'beschreibung')
            && !empty($Artikel->getMediaTypes()))
        }
        {$useDescription = (!empty($Artikel->cBeschreibung) || $useDescriptionWithMediaGroup)}
        {$useDownloads = (isset($Artikel->oDownload_arr) && count($Artikel->oDownload_arr) > 0)}
        {$useVotes = $Einstellungen.bewertung.bewertung_anzeigen === 'Y'}
        {$useQuestionOnItem = $Einstellungen.artikeldetails.artikeldetails_fragezumprodukt_anzeigen === 'Y'}
        {$usePriceFlow = ($Einstellungen.preisverlauf.preisverlauf_anzeigen === 'Y' && $bPreisverlauf)}
        {$useAvailabilityNotification = ($verfuegbarkeitsBenachrichtigung === 1)}
        {$useMediaGroup = ((($Einstellungen.artikeldetails.mediendatei_anzeigen === 'YM'
            && $Artikel->cMedienDateiAnzeige !== 'beschreibung') || $Artikel->cMedienDateiAnzeige === 'tab')
            && !empty($Artikel->getMediaTypes()))
        }
        {$useVideo = isset($Artikel->FunktionsAttribute['youtube_id'])}
        {$hasVotesHash = isset($smarty.get.ratings_nPage)
            || isset($smarty.get.bewertung_anzeigen)
            || isset($smarty.get.ratings_nItemsPerPage)
            || isset($smarty.get.ratings_nSortByDir)
            || isset($smarty.get.btgsterne)
        }

        {section name=iterator start=1 loop=11}
            {$tab = tab}
            {$tabname = $tab|cat:$smarty.section.iterator.index|cat:" name"}
            {$tabinhalt = $tab|cat:$smarty.section.iterator.index|cat:" inhalt"}
            {if isset($Artikel->AttributeAssoc[$tabname]) && $Artikel->AttributeAssoc[$tabname]
            && $Artikel->AttributeAssoc[$tabinhalt]}
                {$separatedTabs[{$tabname|replace:' ':'-'}] = [
                'id'      => {$tabname|replace:' ':'-'},
                'name'    => {$Artikel->AttributeAssoc[$tabname]},
                'content' => {$Artikel->AttributeAssoc[$tabinhalt]}
                ]}
            {/if}
        {/section}

        {* This is only kept for compatibility - not used *}
        {$setActiveClass = [
            'description'    => (!$hasVotesHash),
            'attributes'     => (!$hasVotesHash && !$useDescription),
            'downloads'      => (!$hasVotesHash && !$useDescription && !$useAttributes),
            'separatedTabs'  => (!$hasVotesHash && !$useDescription && !$useAttributes && !$useDownloads),
            'votes'          => ($hasVotesHash || !$useDescription && !$useDownloads && empty($separatedTabs)),
            'questionOnItem' => (!$hasVotesHash && !$useDescription && !$useAttributes && !$useDownloads && empty($separatedTabs) && !$useVotes),
            'priceFlow'      => (!$useVotes && !$hasVotesHash && !$useDescription && !$useAttributes && !$useDownloads && empty($separatedTabs)
                                && !$useQuestionOnItem),
            'availabilityNotification' => (!$useVotes && !$hasVotesHash && !$useDescription && !$useAttributes && !$useDownloads
                                            && empty($separatedTabs) && !$useQuestionOnItem && !$usePriceFlow),
            'mediaGroup'    => (!$useVotes && !$hasVotesHash && !$useDescription && !$useAttributes && !$useDownloads && empty($separatedTabs)
                                && !$useQuestionOnItem && !$usePriceFlow && !$useAvailabilityNotification),
            'video'         => (!$useVotes && !$hasVotesHash && !$useDescription && !$useAttributes && !$useDownloads && empty($separatedTabs)
                                && !$useQuestionOnItem && !$usePriceFlow && !$useAvailabilityNotification && !$useMediaGroup)
        ]}
    {/block}

    {* Actual Tab Content *}
    {block name='productdetails-tabs-content'}
        {if $useAttributes || $useDescription || $useDownloads || $useDescriptionWithMediaGroup || $useVotes || $useQuestionOnItem || $usePriceFlow
        || $useAvailabilityNotification || $useMediaGroup || !empty($separatedTabs)}

            {opcMountPoint id='opc_before_tabs' inContainer=true}

            {* Get active tab, which is "the first tab, unless votes hash"is set and votes are used" *}
            {$activeTab = 'undefined'}
            {if $useVotes && $hasVotesHash}
                {* This always overrides all other tabs *}
                {$activeTab = 'votes'}
            {/if}

            {block name='productdetails-tabs-tabs'}
                <nav class="tab-navigation" data-tabs="true">
                    <div class="tab-navigation-inner">
                        {block name="productdetails-tabs-scroller"}
                            <div class="et-scroller et-scroller-left"><i class="{et_getIcon key="sliderPrevious"}"></i></div>
                            <div class="et-scroller et-scroller-right"><i class="{et_getIcon key="sliderNext"}"></i></div>
                        {/block}

                        {* Tab Navigation Triggers *}
                        {block name='productdetails-tabs-nav'}
                            <ul id="product-tabs" class="nav nav-tabs">
                                {block name='et-productdetails-tabs-nav-tabs-before'}{/block}
                                {foreach $displayOrder as $displayOrderItem}
                                    {* TAB TRIGGER: Description *}
                                    {if $useDescription && $displayOrderItem === 'description'}
                                        {if $activeTab === 'undefined'}{$activeTab = 'description'}{/if}
                                        {block name='productdetails-tabs-tab-description-trigger'}
                                            {include 'widgets/base/tab.tpl'
                                                tabId="description"
                                                title="{lang key='description' section='productDetails'}"
                                                isActive="{$activeTab === 'description'}"
                                                target="tab-description"
                                                label="{lang key='description' section='productDetails'}"
                                            }
                                        {/block}
                                    {/if}

                                    {* TAB TRIGGER: Attributes *}
                                    {if $useAttributes && $displayOrderItem === 'attributes'}
                                        {if $activeTab === 'undefined'}{$activeTab = 'attributes'}{/if}
                                        {block name='productdetails-tabs-tab-attributes-trigger'}
                                            {include 'widgets/base/tab.tpl'
                                                tabId="attributes"
                                                title="{lang section='comparelist' key='characteristics'}"
                                                isActive="{$activeTab === 'attributes'}"
                                                target="tab-attributes"
                                                label="{lang section='comparelist' key='characteristics'}"
                                            }
                                        {/block}
                                    {/if}

                                    {* TAB TRIGGER: Downloads *}
                                    {if $useDownloads && $displayOrderItem === 'downloads'}
                                        {if $activeTab === 'undefined'}{$activeTab = 'downloads'}{/if}
                                        {block name='productdetails-tabs-tab-downloads-trigger'}
                                            {include 'widgets/base/tab.tpl'
                                                tabId="downloads"
                                                title="{lang section='productDownloads' key='downloadSection'}"
                                                isActive="{$activeTab === 'downloads'}"
                                                target="tab-downloads"
                                                label="{lang section='productDownloads' key='downloadSection'}"
                                            }
                                        {/block}
                                    {/if}

                                    {* TAB TRIGGERS: Tabs rendered from Product Attributes *}
                                    {if !empty($separatedTabs) && $displayOrderItem === 'customTabs'}
                                        {if $activeTab === 'undefined'}{$activeTab = 'customTabs'}{/if}
                                        {block name='productdetails-tabs-tab-separated-tabs-trigger'}
                                            {foreach $separatedTabs as $separatedTab}
                                                {include 'widgets/base/tab.tpl'
                                                    tabId="{$separatedTab.name|seofy}"
                                                    title="{$separatedTab.name}"
                                                    isActive="{($activeTab === 'customTabs' && $separatedTab@first)}"
                                                    target="tab-{$separatedTab.name|seofy}"
                                                    label="{$separatedTab.name}"
                                                }
                                            {/foreach}
                                        {/block}
                                    {/if}

                                    {* TAB TRIGGERS: Votes / Ratings *}
                                    {if $useVotes && $displayOrderItem === 'votes'}
                                        {if $activeTab === 'undefined'}{$activeTab = 'votes'}{/if}
                                        {block name='productdetails-tabs-tab-votes-trigger'}
                                            {include 'widgets/base/tab.tpl'
                                                tabId="votes"
                                                title="{lang key='Votes'}"
                                                isActive="{$activeTab === 'votes'}"
                                                target="tab-votes"
                                                label="{lang key='Votes'}"
                                            }
                                        {/block}
                                    {/if}

                                    {* TAB TRIGGER: Question On Item *}
                                    {if $useQuestionOnItem && $displayOrderItem === 'questionOnItem'}
                                        {if $activeTab === 'undefined'}{$activeTab = 'questionOnItem'}{/if}
                                        {block name='productdetails-tabs-tab-question-on-item-tigger'}
                                            {include 'widgets/base/tab.tpl'
                                                tabId="questionOnItem"
                                                title="{lang key='productQuestion' section='productDetails'}"
                                                isActive="{$activeTab === 'questionOnItem'}"
                                                target="tab-questionOnItem"
                                                label="{lang key='productQuestion' section='productDetails'}"
                                            }
                                        {/block}
                                    {/if}

                                    {* TAB TRIGGER: Availability Notification *}
                                    {if $useAvailabilityNotification && $displayOrderItem === 'availabilityNotification'}
                                        {if $activeTab === 'undefined'}{$activeTab = 'availabilityNotification'}{/if}
                                        {block name='productdetails-tabs-tab-availability-notification-trigger'}
                                            {include 'widgets/base/tab.tpl'
                                            tabId="availabilityNotification"
                                            title="{lang key='notifyMeWhenProductAvailableAgain'}"
                                            isActive="{$activeTab === 'availabilityNotification'}"
                                            target="tab-availabilityNotification"
                                            label="{lang key='notifyMeWhenProductAvailableAgain'}"
                                            }
                                        {/block}
                                    {/if}

                                    {* TAB TRIGGER: Price Flow *}
                                    {if $usePriceFlow && $displayOrderItem === 'priceFlow'}
                                        {if $activeTab === 'undefined'}{$activeTab = 'priceFlow'}{/if}
                                        {block name='productdetails-tabs-tab-price-flow-trigger'}
                                            {include 'widgets/base/tab.tpl'
                                                tabId="priceFlow"
                                                title="{lang key='priceFlow' section='productDetails'}"
                                                isActive="{$activeTab === 'priceFlow'}"
                                                target="tab-priceFlow"
                                                label="{lang key='priceFlow' section='productDetails'}"
                                            }
                                        {/block}
                                    {/if}

                                    {* TAB TRIGGER: Media *}
                                    {if $useMediaGroup && $displayOrderItem === 'mediaGroup'}
                                        {if $activeTab === 'undefined'}{$activeTab = 'mediaGroup'}{/if}
                                        {block name='productdetails-tabs-tab-mediagroup-trigger'}
                                            {foreach $Artikel->getMediaTypes() as $mediaType}
                                                {$cMedienTypId = $mediaType->name|seofy}
                                                {include 'widgets/base/tab.tpl'
                                                    tabId="{$cMedienTypId}"
                                                    title="{$mediaType->name}"
                                                    isActive="{($activeTab === 'mediaGroup' && $mediaType@first)}"
                                                    target="tab-{$cMedienTypId}"
                                                    label="{$mediaType->name}"
                                                }
                                            {/foreach}
                                        {/block}
                                    {/if}

                                    {* TAB TRIGGER: Video *}
                                    {if $useVideo && $displayOrderItem === 'video'}
                                        {if $activeTab === 'undefined'}{$activeTab = 'video'}{/if}
                                        {block name='productdetails-tabs-tab-video-trigger'}
                                            {include 'widgets/base/tab.tpl'
                                                tabId="video"
                                                title="{lang key='tabVideo' section='media'}"
                                                isActive="{$activeTab === 'video'}"
                                                target="tab-video"
                                                label="{lang key='tabVideo' section='media'}"
                                            }
                                        {/block}
                                    {/if}
                                {/foreach}
                                {block name='et-productdetails-tabs-nav-tabs-after'}{/block}
                            </ul>
                        {/block}
                    </div>

                    {block name='productdetails-tabs-tab-content'}
                        <div class="tab-content" id="tab-content-product-tabs">
                            {block name='et-productdetails-tabs-tab-content-before'}{/block}
                            {* TAB CONTENT: Description *}
                            {if $useDescription}
                                {block name='productdetails-tabs-tab-description'}
                                    <div class="tab-pane fade {if $activeTab === 'description'} show active{/if}"
                                        id="tab-description"
                                        role="tabpanel"
                                        aria-labelledby="tab-link-description">
                                        {block name='productdetails-tabs-tab-description-content'}
                                            {block name='tab-description-media-types'}
                                                {opcMountPoint id='opc_before_desc'}
                                                <div class="desc">
                                                    <p>{$Artikel->cBeschreibung}</p>
                                                    {if $useDescriptionWithMediaGroup}
                                                        {foreach $Artikel->getMediaTypes() as $mediaType}
                                                            <div class="h3">{$mediaType->name}</div>
                                                            <div class="media">
                                                                {include file='productdetails/mediafile.tpl' lazyLoadImages=$lazyLoadImages}
                                                            </div>
                                                        {/foreach}
                                                    {/if}
                                                </div>
                                                {opcMountPoint id='opc_after_desc'}
                                            {/block}
                                        {/block}
                                    </div>
                                {/block}
                            {/if}

                            {* TAB CONTENT: Attributes *}
                            {if $useAttributes}
                                {block name='productdetails-tabs-tab-attributes'}
                                    <div class="tab-pane fade {if $activeTab === 'attributes'} show active{/if}"
                                        id="tab-attributes"
                                        role="tabpanel"
                                        aria-labelledby="tab-link-attributes"
                                    >
                                        {block name='productdetails-tabs-tab-attributes-content'}
                                            {opcMountPoint id='opc_before_tab_attributes'}
                                            {include file='productdetails/attributes.tpl' tplscope='details'
                                                showProductWeight=$showProductWeight
                                                showShippingWeight=$showShippingWeight
                                                showProductContents=$showProductContents
                                                dimension=$dimension
                                                showAttributesTable=true
                                            }
                                            {opcMountPoint id='opc_after_tab_attributes'}
                                        {/block}
                                    </div>
                                {/block}
                            {/if}

                            {* TAB CONTENT: Downloads *}
                            {if $useDownloads}
                                {block name='productdetails-tabs-tab-downloads'}
                                    <div class="tab-pane fade {if $activeTab === 'downloads'} show active{/if}"
                                        id="tab-downloads"
                                        role="tabpanel"
                                        aria-labelledby="tab-link-downloads"
                                    >
                                        {block name='productdetails-tabs-tab-downloads-content'}
                                            {opcMountPoint id='opc_before_download'}
                                            {include file='productdetails/download.tpl' lazyLoadImages=$lazyLoadImages}
                                            {opcMountPoint id='opc_after_download'}
                                        {/block}
                                    </div>
                                {/block}
                            {/if}

                            {* TAB CONTENT: Tabs rendered from Product Attributes *}
                            {if !empty($separatedTabs)}
                                {block name='productdetails-tabs-tab-separated-tabs'}
                                    {foreach $separatedTabs as $separatedTab}
                                        <div class="tab-pane fade {if $activeTab === 'customTabs' && $separatedTab@first} show active{/if}"
                                            id="tab-{$separatedTab.name|seofy}"
                                            role="tabpanel"
                                            aria-labelledby="tab-link-{$separatedTab.name|seofy}"
                                        >
                                            {block name='productdetails-tabs-tab-separated-tabs-content'}
                                                {opcMountPoint id='opc_before_separated_'|cat:$separatedTab.id}
                                                {$separatedTab.content}
                                                {opcMountPoint id='opc_after_separated_'|cat:$separatedTab.id}
                                            {/block}
                                        </div>
                                    {/foreach}
                                {/block}
                            {/if}

                            {* TAB CONTENT: Votes / Ratings *}
                            {if $useVotes}
                                {block name='productdetails-tabs-tab-votes'}
                                    <div class="tab-pane fade {if $activeTab === 'votes'} show active{/if}"
                                        id="tab-votes"
                                        role="tabpanel"
                                        aria-labelledby="tab-link-votes"
                                    >
                                        {block name='productdetails-tabs-tab-votes-content'}
                                            {opcMountPoint id='opc_before_tab_votes'}
                                            {include file='productdetails/reviews.tpl' stars=$Artikel->Bewertungen->oBewertungGesamt->fDurchschnitt}
                                            {opcMountPoint id='opc_after_tab_votes'}
                                        {/block}
                                    </div>
                                {/block}
                            {/if}

                            {* TAB CONTENT: Question on Item *}
                            {if $useQuestionOnItem}
                                {block name='productdetails-tabs-tab-question-on-item'}
                                    <div class="tab-pane fade {if $activeTab === 'questionOnItem'} show active{/if}"
                                        id="tab-questionOnItem"
                                        role="tabpanel"
                                        aria-labelledby="tab-link-questionOnItem"
                                    >
                                        {block name='productdetails-tabs-tab-question-on-item-content'}
                                            {opcMountPoint id='opc_before_tab_question'}
                                            {include file='productdetails/question_on_item.tpl' position="tab"}
                                            {opcMountPoint id='opc_after_tab_question'}
                                        {/block}
                                    </div>
                                {/block}
                            {/if}

                            {* TAB CONTENT: Availability Notification *}
                            {if $useAvailabilityNotification}
                                {block name='productdetails-tabs-tab-availability-notification'}
                                    <div class="tab-pane fade {if $activeTab === 'availabilityNotification'} show active{/if}"
                                         id="tab-availabilityNotification"
                                         role="tabpanel"
                                         aria-labelledby="tab-link-availabilityNotification"
                                    >
                                        {block name='productdetails-tabs-tab-availability-notification-content'}
                                            {opcMountPoint id='opc_before_tab_availability'}
                                            {include file='productdetails/availability_notification_form.tpl' position='tab' tplscope='artikeldetails'}
                                            {opcMountPoint id='opc_after_tab_availability'}
                                        {/block}
                                    </div>
                                {/block}
                            {/if}

                            {* TAB CONTENT: Price Flow *}
                            {if $usePriceFlow}
                                {block name='productdetails-tabs-tab-price-flow'}
                                    <div class="tab-pane fade {if $activeTab === 'priceFlow'} show active{/if}"
                                        id="tab-priceFlow"
                                        role="tabpanel"
                                        aria-labelledby="tab-link-priceFlow"
                                    >
                                        {block name='productdetails-tabs-tab-price-flow-content'}
                                            {opcMountPoint id='opc_before_tab_price_history'}
                                            {include file='productdetails/price_history.tpl'}
                                            {opcMountPoint id='opc_after_tab_price_history'}
                                        {/block}
                                    </div>
                                {/block}
                            {/if}

                            {* TAB CONTENT: Media *}
                            {if $useMediaGroup}
                                {block name='productdetails-tabs-tab-mediagroup'}
                                    {foreach $Artikel->getMediaTypes() as $mediaType}
                                        {$cMedienTypId = $mediaType->name|seofy}
                                        <div class="tab-pane fade {if $activeTab === 'mediaGroup' && $mediaType@first} show active{/if}"
                                            id="tab-{$cMedienTypId}"
                                            role="tabpanel"
                                            aria-labelledby="tab-link-{$cMedienTypId}"
                                        >
                                            {block name='productdetails-tabs-tab-mediagroup-content'}
                                                {opcMountPoint id='opc_before_tab_mediafile'}
                                                {include file='productdetails/mediafile.tpl' lazyLoadImages=$lazyLoadImages}
                                                {opcMountPoint id='opc_after_tab_mediafile'}
                                            {/block}
                                        </div>
                                    {/foreach}
                                {/block}
                            {/if}

                            {* TAB CONTENT: Video *}
                            {if $useVideo}
                                {block name='productdetails-tabs-tab-video'}
                                    <div class="tab-pane fade {if $activeTab === 'video'} show active{/if}"
                                        id="tab-video"
                                        role="tabpanel"
                                        aria-labelledby="tab-link-video"
                                    >
                                        {block name='productdetails-tabs-tab-video-content'}
                                            {opcMountPoint id='opc_before_tab_video'}
                                            {if isset($Artikel->FunktionsAttribute['youtube_headline'])}
                                                <h6 class="youtube-title">{$Artikel->FunktionsAttribute['youtube_headline']}</h6>
                                            {/if}

                                            {if isset($Artikel->FunktionsAttribute['youtube_description'])}
                                                <div class="youtube-description">
                                                    <p>{$Artikel->FunktionsAttribute['youtube_description']}</p>
                                                </div>
                                            {/if}

                                            {if isset($Artikel->FunktionsAttribute['youtube_id'])}
                                                {include file="widgets/base/video.tpl"
                                                    video=[
                                                        aspectRatio => '',
                                                        provider => 'youtube',
                                                        videoId => $Artikel->FunktionsAttribute['youtube_id'],
                                                        id => "product-{$Artikel->kArtikel}"
                                                    ]
                                                }
                                            {/if}
                                            {opcMountPoint id='opc_after_tab_video'}
                                        {/block}
                                    </div>
                                {/block}
                            {/if}

                            {block name='et-productdetails-tabs-tab-content-after'}{/block}
                        </div>
                    {/block}
                </nav>
            {/block}
        {/if}
    {/block}
{/block}
